declare @ver varchar(10)
       ,@str varchar(250);

set @ver = '838.1';--ВЕРСИЯ БАЗЫ ДАННЫХ ДЛЯ КОТОРОЙ СДЕЛАНО ОБНОВЛЕНИЕ

set @str = (SELECT convert(varchar,[value]) FROM sys.extended_properties WHERE (class = 0) and ([name]= 'Версия'))
if (@ver <> isnull(@str, ''))
begin
  set @str = 'Это обновление для версии базы данных ' + @ver + '(у Вас ' + @str  + ')'; 
  raiserror (@str, 16, 1);
end
GO

--------------------------------------------------------------------------------
exec sys.sp_updateextendedproperty
@name = N'Версия', 
@value = N'842.1';--ВЕРСИЯ БАЗЫ ДАННЫХ ПОСЛЕ ОБНОВЛЕНИЯ
GO

--------------------------------------------------------------------------------
update Spr_MKB
set [group] = '1'
where Kod in (select Kod from Spr_MKB t1 where (Kod Like '___') and ([group] = '0') and (exists (select 1 from Spr_MKB where Kod Like t1.Kod + '.%')))
GO

--------------------------------------------------------------------------------
insert into Spr_MKB
    select 'U07.2','Коронавирусная инфекция, вызванная вирусом COVID-19, вирус не идентифицирован (COVID-19 диагностируется клинически или эпидемиологически, но лабораторные исследования неубедительны или недоступны)','0','1'
    where not exists (select 1 from Spr_MKB where Kod = 'U07.2');

update Spr_MKB
	set Hide = '0'
where Kod = 'U07.2';